{ ... }:
let
  defaultNetworkShareOptions = [
    "sec=none"
    "nofail"
    "x-systemd.automount"
    "auto"
    "rw"
    "file_mode=0775"
    "dir_mode=0775"
    "uid=matt"
    "gid=wheel"
  ];
  defaultLocalOptions = [
    "compress=zstd"
#    "autodefrag"
    "nofail"
#    "x-systemd.automount"
#    "auto"
    "rw"
  ];
in
{
  fileSystems = {
    "/media/matt/Steam" = {
      device = "/dev/disk/by-id/nvme-Samsung_SSD_980_PRO_2TB_S6B0NL0W232824B-part1";
      options = [
        "subvol=steam"
        "noatime"
      ] ++ defaultLocalOptions;
    };
    "/media/matt/Heroic" = {
      device = "/dev/disk/by-id/nvme-Samsung_SSD_980_PRO_2TB_S6B0NL0W232824B-part1";
      options = [
        "subvol=heroic"
        "noatime"
      ] ++ defaultLocalOptions;
    };

    # Network shares
    "/media/nas/backup" = {
      device = "//10.0.1.3/Backup";
      fsType = "cifs";
      options = defaultNetworkShareOptions;
    };

    "/media/nas/isos" = {
      device = "//10.0.1.3/isos";
      fsType = "cifs";
      options = defaultNetworkShareOptions;
    };

    "/media/nas/3d_printer" = {
      device = "//10.0.1.3/3d_printer";
      fsType = "cifs";
      options = defaultNetworkShareOptions;
    };
  };
}
